DSA(1SSL)

NOM
dsa - Traitement de clefs DSA

SYNOPSIS
openssl dsa [-inform PEM|DER] [-outform PEM|DER] [-in fichier] [-passin param] [-out fichier] [-passout param] [-aes128] [-aes192] [-aes256] [-camellia128] [-camellia192] [-camellia256] [-des] [-des3] [-idea] [-text] [-noout] [-modulus] [-pubin] [-pubout] [-engine id]

DESCRIPTION
La commande dsa gère les clefs DSA. Elles peuvent être converties vers et à partir de plusieurs formes et leurs composants peuvent être affichés. Remarque : cette commande utilise le format compatible SSLeay pour le chiffrement des clefs privées. Les applications plus récentes devraient utiliser le format plus sûr PKCS#8 en utilisant la commande pkcs8.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Indique le format d'entrée. Avec une clef privée, l'option DER utilise une version encodée ASN1 DER d'une SEQUENCE ASN.1 qui contient les informations de version (zéro actuellement), p, q, g, les composants des clefs publiques et privées respectivement comme entiers INTEGER ASN.1. Lors d'une utilisation avec clef publique, c'est une structure SubjectPublicKeyInfo qui est utilisée, et c'est une erreur si la clef n'est pas de type DSA.

    Le format PEM est le format par défaut : il s'agit du format DER encodé en base64 avec des lignes supplémentaires au début et à la fin. Dans le cas d'une clef privée, le format PKCS#8 est également accepté.

-outform DER|PEM
    Indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in fichier
    Indique le nom du fichier d'entrée d'où sera lue la clef, ou l'entrée standard si cette option est omise. Si la clef est chiffrée, un mot de passe sera demandé.

-passin param
    La source de mot de passe d'entrée. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-out fichier
    Indique le nom du fichier de sortie où sera écrite la clef. La sortie standard est utilisée si cette option est omise. Si des options de chiffrement ont été indiquées, un mot de passe sera demandé. Le fichier de sortie ne doit pas être identique au fichier d'entrée.

-passout param
    La source de mot de passe pour le fichier de sortie. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-aes128 | -aes192 | -aes256 | -camellia128 | -camellia192 | -camellia256 | -des | -des3 | -idea
    Ces options chiffrent la clef privée produite avec l'algorithme de chiffrement indiqué avant de l’afficher. Un mot de passe (ou une phrase secrète) sera demandé. Si aucune de ces options n'est indiquée, la clef sera écrite en texte brut. Cela implique qu'une clef chiffrée, sans aucune option, pourra être lue avec l'utilitaire dsa afin de supprimer le mot de passe ou, en indiquant une option, d'ajouter ou modifier un mot de passe.Cette option n'est disponible qu'avec le format PEM pour les fichiers de sortie.

-text
    Affiche les composants et les paramètres des clefs publiques et privées .

-noout
    Cette option empêche la sortie de la version encodée de la clef.

-modulus
    Cette option affiche la valeur de la composante publique de la clef.

-pubin
    Par défaut, une clef privée est lue à partir du fichier d'entrée : avec cette option, une clef publique est lue à sa place.

-pubout
    Par défaut, une clef privée est produite. Avec cette option, une clef publique est produite à sa place. Cette option est automatiquement activée si l'entrée est une clef publique.

-engine id
    Indique un moteur (en utilisant son identifiant unique id), et force dsa à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et à l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

NOTES
Le format de clef privée PEM utilise les lignes de début et de fin suivantes :

 -----BEGIN DSA PRIVATE KEY-----
 -----END DSA PRIVATE KEY-----

Le format de clef publique PEM utilise les lignes de début et de fin suivantes :

 -----BEGIN PUBLIC KEY-----
 -----END PUBLIC KEY-----

EXEMPLES
Pour enlever le mot de passe d'une clef privée DSA :

 openssl dsa -in key.pem -out keyout.pem

Pour chiffrer une clef privée en utilisant l'algorithme DES triple :

 openssl dsa -in key.pem -des3 -out keyout.pem

Pour convertir une clef privée du format PEM vers le format DER :

 openssl dsa -in key.pem -outform DER -out keyout.der

Pour afficher les composants d'une clef privée sur la sortie standard :

 openssl dsa -in key.pem -text -noout

Pour afficher uniquement la partie publique d'une clef privée :

 openssl dsa -in key.pem -pubout -out pubkey.pem

VOIR AUSSI
dsaparam(1), gendsa(1), genrsa(1), rsa(1),

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.